Subject: b18 installation problems
From: [email-masked]

3 Jul 1997 01:51:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0 (generated by tm-edit 7.80)
Content-Type: text/plain; charset=US-ASCII
Original-To: [email-masked]
Original-Sender: [email-masked]

We installed the b18 release and found a lot of problems.

The package is installed in its default place C:\gnuwin32\b18.

The GCC_EXEC_PREFIX is correcly set, following the README.

We tried the package with the basic "Hello World" example, and had
these problems:

1) cpp not found
----------------
Found that it is in :
CYGNUS=/gnuwin32/b18/H-i386-cygwin32/lib/gcc-lib/i386-cygwin32/cygnus-2.7.2-970404
(this is shell variable we will use a lot :-(.

Thus, change PATH to:
PATH=$PATH:$CYGNUS

2) Can't find stddef.h, stdargs.h etc.....
------------------------------------------
For instance, stddef.h cannot be found while loading
stdio.h. Strangely, the full path of stdio.h in the error message is:
C:\gnuwin32\b18\H-i386-cygwin32\lib\gcc-lib\i386-cygwin32/cygnus-2.7.2-961023/../../../../i386-cygwin32/include/stdio.h

Note that cygnus-2.7.2-961023 does not exist, but
cygnus-2.7.2-970404. I guess that a/b/c/../d = a/b/d works even if c
does not exist ?!!

Found missing .h in $CYGNUS/include.

Use of C_INCLUDE_PATH, or CPLUS_INCLUDE_PATH is useless => use of -I option.

3) -lgcc not found.
-------------------
LIBRARY_PATH useless too. Must use -L option

Thus, final command is:
gcc  -L$CYGNUS -I$CYGNUS/include -o foo.exe foo.c

4) use of g++ instead of gcc
----------------------------

At link time, unresolved symbol WinMain@16. After reading 4 months of
mail archive, it seems to me that this symbol is related to GUI, isn't
it? How can I simply compile a C++ program ?

All previous variables were exported.

Really need help.

Thanks.

-- 

 Xavier Fornari 

==================================================
http://www.inria.fr/meije/personnel/Xavier.Fornari
CMA/MEIJE                 Tel: 33 (0)4 93 65 79 65
INRIA                     Fax: 33 (0)4 93 65 79 98
2004 Route des Lucioles       
BP 93
06902 Sophia-Antipolis Cedex  

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".